Bug 853633 - [abrt] upower-0.9.17-2.fc18: up_polkit_init: Process /usr/libexec/upowerd was killed by signal 5 (SIGTRAP)
[abrt] upower-0.9.17-2.fc18: up_polkit_init: Process /usr/libexec/upowerd was...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: upower (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
abrt_hash:728b9ada2912cb7decef159a1c9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-01 11:32 EDT by Andy Lawrence
Modified: 2014-02-05 07:07 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:07:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (1.88 KB, text/plain)
2012-09-01 11:32 EDT, Andy Lawrence
no flags Details
File: environ (148 bytes, text/plain)
2012-09-01 11:32 EDT, Andy Lawrence
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-01 11:32 EDT, Andy Lawrence
no flags Details
File: backtrace (24.58 KB, text/plain)
2012-09-01 11:32 EDT, Andy Lawrence
no flags Details
File: cgroup (158 bytes, text/plain)
2012-09-01 11:32 EDT, Andy Lawrence
no flags Details
File: maps (15.38 KB, text/plain)
2012-09-01 11:32 EDT, Andy Lawrence
no flags Details
File: dso_list (3.07 KB, text/plain)
2012-09-01 11:32 EDT, Andy Lawrence
no flags Details
File: open_fds (234 bytes, text/plain)
2012-09-01 11:32 EDT, Andy Lawrence
no flags Details
File: var_log_messages (560 bytes, text/plain)
2012-09-01 11:32 EDT, Andy Lawrence
no flags Details

  None (edit)
Description Andy Lawrence 2012-09-01 11:32:27 EDT
Description of problem:
Happened on boot

Version-Release number of selected component:
upower-0.9.17-2.fc18

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        /usr/libexec/upowerd
crash_function: up_polkit_init
kernel:         3.6.0-0.rc2.git2.1.fc18.x86_64

truncated backtrace:
:Thread no. 1 (8 frames)
: #2 up_polkit_init at up-polkit.c
: #3 g_type_create_instance at gtype.c
: #4 g_object_constructor at gobject.c
: #7 up_polkit_new at up-polkit.c
: #8 up_qos_init at up-qos.c
: #9 g_type_create_instance at gtype.c
: #10 g_object_constructor at gobject.c
: #13 up_qos_new at up-qos.c
Comment 1 Andy Lawrence 2012-09-01 11:32:29 EDT
Created attachment 608877 [details]
File: core_backtrace
Comment 2 Andy Lawrence 2012-09-01 11:32:30 EDT
Created attachment 608878 [details]
File: environ
Comment 3 Andy Lawrence 2012-09-01 11:32:32 EDT
Created attachment 608879 [details]
File: limits
Comment 4 Andy Lawrence 2012-09-01 11:32:34 EDT
Created attachment 608880 [details]
File: backtrace
Comment 5 Andy Lawrence 2012-09-01 11:32:35 EDT
Created attachment 608881 [details]
File: cgroup
Comment 6 Andy Lawrence 2012-09-01 11:32:37 EDT
Created attachment 608882 [details]
File: maps
Comment 7 Andy Lawrence 2012-09-01 11:32:38 EDT
Created attachment 608883 [details]
File: dso_list
Comment 8 Andy Lawrence 2012-09-01 11:32:40 EDT
Created attachment 608884 [details]
File: open_fds
Comment 9 Andy Lawrence 2012-09-01 11:32:41 EDT
Created attachment 608885 [details]
File: var_log_messages
Comment 10 David Zeuthen 2012-09-04 12:43:11 EDT
> #0  g_logv (log_domain=0x41bf39 "UPower",

Why do you think this is a polkit bug?!?
Comment 11 Richard Hughes 2012-09-05 04:44:42 EDT
It's crashing in up_polkit_init()
Comment 12 David Zeuthen 2012-09-05 10:46:01 EDT
(In reply to comment #11)
> It's crashing in up_polkit_init()

But up_polkit_init() is not part of polkit...

My guess is that polkitd is masked or for some reason does not start (there's a yum/selinux bug causing the polkitd user to not get created, maybe you are hitting that) and your application does not handle polkit_authority_get_sync() returning NULL. Please see http://www.freedesktop.org/software/polkit/docs/latest/polkit-apps.html
Comment 13 Karel Volný 2013-01-16 16:04:03 EST
It just appears on each start after upgrade to F18, and KDE battery applet is not working (shows nothing connected)

backtrace_rating: 4
Package: upower-0.9.18-2.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 14 Fedora End Of Life 2013-12-21 03:49:40 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2014-02-05 07:07:54 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.